<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>sO3: Activity - A</title>
  </head>
  <body>
    <h3><em>Science and Engineering Ethics (2001) 7, 231-238</em></h3>
    <hr />
    <h1>
      Code of Ethics of the Filipino Computing and Information Technology
      Profession
    </h1>
    <h3>
      IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and
      Professional Practices
    </h3>
    <hr />
    <span><strong>Keywords</strong>:</span>
    <span
      >code of ethics, professional responsibility, software engineering</span
    >

    <h3>PREAMBLE</h3>
    <p>
      The short version of the code summarize aspiration at a high level of
      abstraction. The clauses that are included in the full version give
      examples and details of how these aspiration change the way we act as
      software professionals. Without the aspirations, the details can become
      legalistic and tedious; without the details, the aspirations can become
      high-sounding but empty; together, the aspirations and the details form a
      cohesive code.
    </p>
    <p>
      Software engineers shall commit themselves to making the analysis,
      specific, design, development,testing, and maintenance of software a
      beneficial and respected profession. In accordance with their commitment
      to the health,safety, and welfare of the public, software engineers shall
      adhere to the following eight Principles:
    </p>

    <h3>PRINCIPLES</h3>
    <ol>
      <li>
        <em>Public</em>. Software engineers shall act consistently with the
        public interest.
      </li>
      <li>
        <em>Client and employer</em>. Software engineers shall act in a manner
        that is in the best interests of their client and employer, consistent
        with the public interest.
      </li>
      <li>
        <em>Product.</em> Software engineers shall ensure that their products
        and related modifications meet the highest professional standards
        possible.
      </li>
      <li>
        <em>Judgement.</em> Software engineers shall maintain integrity and
        independence in their professional judgement.
      </li>
      <li>
        <em>Management.</em> Software engineering managers and leaders shall
        subscribe to and promote an ethical approach to the management of
        software development and maintenance.
      </li>
      <li>
        <em>Profession.</em> Software engineers shall advance the integrity and
        reputation of the profession consistent with the public interest.
      </li>
      <li>
        <em>Colleagues.</em> Software engineers shall be fair and supportive of
        their colleagues.
      </li>
      <li>
        <em>Self.</em> Software engineers shall participate in the lifelong
        learning regarding the practice of their professional and shall promote
        an ethical approah to the practice of the profession.
      </li>
    </ol>
  </body>
</html>
